Bug 58517 - Vendor-prefix requestFileSystem in FileSystem API
: Vendor-prefix requestFileSystem in FileSystem API
Status: RESOLVED FIXED
: WebKit
WebCore Misc.
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-04-13 23:25 PST by
Modified: 2011-04-18 22:37 PST (History)


Attachments
Patch (40.37 KB, patch)
2011-04-14 05:10 PST, Taiju Tsuiki
no flags Review Patch | Details | Formatted Diff | Diff
Patch (83.72 KB, patch)
2011-04-17 19:02 PST, Taiju Tsuiki
no flags Review Patch | Details | Formatted Diff | Diff
Patch (83.78 KB, patch)
2011-04-17 22:01 PST, Taiju Tsuiki
no flags Review Patch | Details | Formatted Diff | Diff
Patch (250.87 KB, patch)
2011-04-17 22:58 PST, Taiju Tsuiki
no flags Review Patch | Details | Formatted Diff | Diff
Patch (89.49 KB, patch)
2011-04-17 23:06 PST, Taiju Tsuiki
no flags Review Patch | Details | Formatted Diff | Diff
Patch (90.41 KB, patch)
2011-04-18 00:20 PST, Taiju Tsuiki
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-04-13 23:25:05 PST
Since FileSystem API is not standard yet and will likely change, we should vendor-prefix the exposed API.

Specifically:
window.requestFileSystem should be renamed to window.webkitRequestFileSystem.
------- Comment #1 From 2011-04-13 23:36:23 PST -------
I guess following APIs should also be prefixed?

window.resolveLocalFileSystemURL

WorkerContext.requestFileSystem
WorkerContext.requestFileSystemSync
WorkerContext.resolveLocalFileSystemURL
WorkerContext.resolveLocalFileSystemSyncURL
------- Comment #2 From 2011-04-14 05:10:23 PST -------
Created an attachment (id=89557) [details]
Patch
------- Comment #3 From 2011-04-14 06:14:28 PST -------
(From update of attachment 89557 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=89557&action=review

> Source/WebCore/ChangeLog:6
> +        https://bugs.webkit.org/show_bug.cgi?id=58517

Looks good, thanks for working on this.
I think it'd be better to add some explanation why and how (which method) we're prefixing in the ChangeLog.
(Probably you can just copy and paste the explanation from the bug.)
------- Comment #4 From 2011-04-14 09:02:07 PST -------
(From update of attachment 89557 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=89557&action=review

> Source/WebCore/page/DOMWindow.idl:200
>          attribute [EnabledAtRuntime=FileSystem] FlagsConstructor Flags;

What about Flags?  Should this be WebKitFlags for completeness?

(I think it is OK to leave TEMPORARY and PERSISTENT as is... just not sure about Flags.)
------- Comment #5 From 2011-04-14 09:24:29 PST -------
(From update of attachment 89557 [details])
What about the flags TEMPORARY and PERSISTENT?  Should we prefix them too?
------- Comment #6 From 2011-04-14 09:25:16 PST -------
(In reply to comment #5)
> (From update of attachment 89557 [details] [details])
> What about the flags TEMPORARY and PERSISTENT?  Should we prefix them too?

Sorry--missed your comment.  Nevermind.
------- Comment #7 From 2011-04-17 19:02:10 PST -------
Created an attachment (id=89982) [details]
Patch
------- Comment #8 From 2011-04-17 19:24:42 PST -------
Attachment 89982 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8459821
------- Comment #9 From 2011-04-17 19:57:37 PST -------
Attachment 89982 [details] did not build on win:
Build output: http://queues.webkit.org/results/8459825
------- Comment #10 From 2011-04-17 20:00:56 PST -------
Attachment 89982 [details] did not build on qt:
Build output: http://queues.webkit.org/results/8435870
------- Comment #11 From 2011-04-17 22:01:51 PST -------
Created an attachment (id=89992) [details]
Patch
------- Comment #12 From 2011-04-17 22:09:34 PST -------
Attachment 89992 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8442874
------- Comment #13 From 2011-04-17 22:57:14 PST -------
Attachment 89992 [details] did not build on win:
Build output: http://queues.webkit.org/results/8459854
------- Comment #14 From 2011-04-17 22:58:58 PST -------
Created an attachment (id=89995) [details]
Patch
------- Comment #15 From 2011-04-17 23:06:38 PST -------
Created an attachment (id=89996) [details]
Patch
------- Comment #16 From 2011-04-18 00:20:03 PST -------
Created an attachment (id=89999) [details]
Patch
------- Comment #17 From 2011-04-18 06:38:05 PST -------
(In reply to comment #16)
> Created an attachment (id=89999) [details] [details]
> Patch

Thanks for working on this.  The patch looks good to me.
(Could any 'real' reviewer take a look at the patch?)
------- Comment #18 From 2011-04-18 22:36:53 PST -------
(From update of attachment 89999 [details])
Clearing flags on attachment: 89999

Committed r84224: <http://trac.webkit.org/changeset/84224>
------- Comment #19 From 2011-04-18 22:37:01 PST -------
All reviewed patches have been landed.  Closing bug.